> ## Documentation Index
> Fetch the complete documentation index at: https://docs.enso.build/llms.txt
> Use this file to discover all available pages before exploring further.

# Nontokenized positions

> Returns a list of all nontokenized positions with details.



## OpenAPI

````yaml /public/openapi.json get /api/v1/nontokenized
openapi: 3.0.0
info:
  title: Enso API
  description: >-
    #### Enso API

    - Find detailed documentation on
    [docs.enso.finance](https://docs.enso.finance).

    - To use the API, **you must include your API Key in the Authorization
    header** (Bearer format).

    - For testing, Swagger pre-authorizes you using the key:
    `1e02632d-6feb-4a75-a157-documentation` (1rps).

    - Get your own API Key at
    [enso.finance/developers](https://enso.finance/developers).
  version: 1.0.1
  contact: {}
servers:
  - url: https://api.enso.build
security:
  - {}
tags:
  - name: shortcuts
    description: ''
paths:
  /api/v1/nontokenized:
    get:
      tags:
        - Tokens
      summary: Nontokenized positions
      description: Returns a list of all nontokenized positions with details.
      operationId: NonTokenizedController_tokens
      parameters:
        - name: project
          required: false
          in: query
          description: >-
            The overarching project or platform associated with the DeFi token,
            for example `aave`
          schema:
            example: beradrome
            type: string
        - name: protocolSlug
          required: false
          in: query
          description: >-
            The specific standard integration or version of the DeFi project,
            for example `aave-v2`
          schema:
            example: beradrome-farms
            type: string
        - name: chainId
          required: false
          in: query
          description: Chain ID of the network of the nontokenized position
          schema:
            example: 80094
            type: number
        - name: address
          required: false
          in: query
          description: Ethereum addresses of the nontokenized positions
          schema:
            type: array
            items:
              type: string
        - name: primaryAddress
          required: false
          in: query
          description: Ethereum addresses for contract interaction of nontokenized position
          schema:
            type: array
            items:
              type: string
        - name: page
          required: false
          in: query
          description: Pagination page number. Pages are of length 1000
          schema:
            type: number
        - name: cursor
          required: false
          in: query
          description: Cursor for pagination. Pages are of length 1000
          schema:
            type: number
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/PaginatedResult'
                  - properties:
                      data:
                        type: array
                        description: Returned data for current page
                        items:
                          $ref: '#/components/schemas/NonTokenizedModel'
components:
  schemas:
    PaginatedResult:
      type: object
      properties:
        meta:
          description: Metadata for pagination
          allOf:
            - $ref: '#/components/schemas/PaginationMeta'
      required:
        - meta
    NonTokenizedModel:
      type: object
      properties:
        chainId:
          type: number
          description: Chain ID of the network of the nontokenized position
        protocol:
          type: string
          description: >-
            The specific standard integration or version of the nontokenized
            position
        address:
          type: string
          description: Ethereum address of the nontokenized position
        primaryAddress:
          type: string
          description: Ethereum address of the nontokenized position
        underlyingTokens:
          description: Underlying tokens of nontokenized position
          nullable: true
          type: array
          items:
            $ref: '#/components/schemas/TokenModel'
      required:
        - chainId
        - protocol
        - address
        - primaryAddress
        - underlyingTokens
    PaginationMeta:
      type: object
      properties:
        total:
          type: number
          description: Total amount of pages
        lastPage:
          type: number
          description: Last page number
        currentPage:
          type: number
          description: Current page number
        perPage:
          type: number
          description: Amount of elements per page
        prev:
          type: number
          description: Previous page
        next:
          type: number
          description: Next page
        cursor:
          type: number
          description: Cursor for pagination
      required:
        - total
        - lastPage
        - currentPage
        - perPage
        - prev
        - next
        - cursor
    TokenModel:
      type: object
      properties:
        address:
          type: string
          description: Ethereum address of the token
        chainId:
          type: number
          description: Chain ID of the network of the token
        type:
          type: string
          description: Type of token
        decimals:
          type: number
          description: Token decimals
        symbol:
          type: string
          description: Token name
          nullable: true
        name:
          type: string
          description: Token symbol
          nullable: true
        logosUri:
          description: A list of logos for the token
          nullable: true
          type: array
          items:
            type: string
      required:
        - address
        - chainId
        - type
        - decimals
        - symbol
        - name
        - logosUri

````